Summary: Experimental low latency audio codec
Name: celt
Version: 0.5.0
Release: 1%{?dist}
License: see COPYING
Group: Applications/Multimedia
URL: http://www.celt-codec.org/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: libogg-devel

%description
CELT stands for "Constrained Energy Lapped Transform". It applies some
of the CELP principles, but does everything in the frequency domain,
which removes some of the limitations of CELP. CELT is suitable for
both speech and music. The CELT codec is meant to close the gap
between Vorbis and Speex for applications where both high quality
audio and low delay are desired.

%package devel
Summary: Header files for the CELT codec
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
Header files for the CELT experimental low latency audio codec.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING INSTALL README TODO
%{_bindir}/celtdec
%{_bindir}/celtenc
%{_libdir}/libcelt.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/celt
%exclude %{_libdir}/libcelt.a
%exclude %{_libdir}/libcelt.la
%{_libdir}/libcelt.so
%{_libdir}/pkgconfig/celt.pc


%changelog
* Mon Dec  1 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.5.0-1
- initial build.
